aboutsummaryrefslogtreecommitdiff
path: root/buildtools
diff options
context:
space:
mode:
authorRob Austein <sra@hactrn.net>2013-02-26 01:20:37 +0000
committerRob Austein <sra@hactrn.net>2013-02-26 01:20:37 +0000
commit80f2485f8a1f4764ee9a8f1167172d4e9fee54c9 (patch)
treec1be50a3e731bb1e793bdf0cf3e870e4ba2ca150 /buildtools
parent7947cc100f43df25655828bce629cf2602747449 (diff)
Make Django requirement consistent in doc and scripts: we now want 1.3.7 or later.
svn path=/trunk/; revision=5073
Diffstat (limited to 'buildtools')
-rw-r--r--buildtools/build-freebsd-ca-port.py2
-rw-r--r--buildtools/debian-package-skeleton.py4
2 files changed, 3 insertions, 3 deletions
diff --git a/buildtools/build-freebsd-ca-port.py b/buildtools/build-freebsd-ca-port.py
index ad4865e0..ed0220c1 100644
--- a/buildtools/build-freebsd-ca-port.py
+++ b/buildtools/build-freebsd-ca-port.py
@@ -107,7 +107,7 @@ BUILD_DEPENDS+= rsync>0:${PORTSDIR}/net/rsync
RPKID_DEPENDS= ${PYTHON_PKGNAMEPREFIX}lxml>0:${PORTSDIR}/devel/py-lxml \\
${PYTHON_PKGNAMEPREFIX}MySQLdb>0:${PORTSDIR}/databases/py-MySQLdb \\
- ${PYTHON_PKGNAMEPREFIX}django>=1.3:${PORTSDIR}/www/py-django \\
+ ${PYTHON_PKGNAMEPREFIX}django>=1.3.7:${PORTSDIR}/www/py-django \\
${PYTHON_PKGNAMEPREFIX}vobject>0:${PORTSDIR}/deskutils/py-vobject \\
${PYTHON_PKGNAMEPREFIX}yaml>0:${PORTSDIR}/devel/py-yaml \\
${PYTHON_PKGNAMEPREFIX}south>=0.7.6:${PORTSDIR}/databases/py-south
diff --git a/buildtools/debian-package-skeleton.py b/buildtools/debian-package-skeleton.py
index e169fd2c..12c4454b 100644
--- a/buildtools/debian-package-skeleton.py
+++ b/buildtools/debian-package-skeleton.py
@@ -519,7 +519,7 @@ maybe_install_django() {
fi
if ! python -c 'import django' 2>/dev/null &&
- ! pip install django==1.3.7
+ ! pip install django>=1.3.7
then
echo 1>&2 "Unable to install usable version of Django, sorry"
exit 1
@@ -534,7 +534,7 @@ maybe_install_south() {
fi
if ! python -c 'import south' 2>/dev/null &&
- ! pip install South==0.7.6
+ ! pip install South>=0.7.6
then
echo 1>&2 "Unable to install usable version of Django, sorry"
exit 1